> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List the official plugin marketplaces

> Anthropic's Claude Code marketplace and OpenAI's Codex marketplace. Any other public marketplace is browsed by its repository URL.



## OpenAPI

````yaml api-reference/openapi.v1.json GET /plugin-marketplaces
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /plugin-marketplaces:
    get:
      tags:
        - plugins
      summary: List the official plugin marketplaces
      description: >-
        Anthropic's Claude Code marketplace and OpenAI's Codex marketplace. Any
        other public marketplace is browsed by its repository URL.
      operationId: listPluginMarketplaces
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PluginMarketplaceListResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgAuthorizationErrorResponse'
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    PluginMarketplaceListResponse:
      additionalProperties: false
      properties:
        marketplaces:
          items:
            $ref: '#/components/schemas/PluginMarketplace'
          type: array
      required:
        - marketplaces
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
      required:
        - error
      type: object
    OrgAuthorizationErrorResponse:
      additionalProperties: false
      properties:
        code:
          enum:
            - org_membership_required
            - org_role_insufficient
            - org_suspended
            - account_deleting
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
        - code
      type: object
    PluginMarketplace:
      additionalProperties: false
      properties:
        display_name:
          type: string
        name:
          type: string
        url:
          type: string
      required:
        - name
        - display_name
        - url
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````